%define pkg_name        Hook-LexWrap
%define pkg_version     0.20
%define rpm_pkg_version 0.20
%define rpm_pkg_release 5.n0i.7

Summary:       Hook::LexWrap - Lexically scoped subroutine wrappers
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/D/DC/DCONWAY/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
Hook::LexWrap allows you to install a pre- or post-wrapper (or both) around an
existing subroutine. Unlike other modules that provide this capacity (e.g.
Hook::PreAndPost and Hook::WrapSub), Hook::LexWrap implements wrappers in such
a way that the standard "caller" function works correctly within the wrapped
subroutine.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}
%{fix_perl_path demo/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes demo/ README


%changelog
* Thu May 31 2007 Marius Feraru <altblue@n0i.net> - 0.20-5.n0i.7
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- rebuild on perl 5.8.8

* Thu Jul 28 2005 Marius Feraru <altblue@n0i.net> 0.20-4.n0i.6
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.20-3.n0i.5
- automatic rebuild (perl 5.8.6)

* Sun Dec 05 2004 Marius Feraru <altblue@n0i.net> 0:0.20-2.n0i.4
- automatic rebuild (perl 5.8.6)

* Wed May 05 2004 Marius Feraru <altblue@n0i.net> 0:0.20-1.n0i.3
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401
- rebuild (perl 5.8.4)

* Thu Jan 29 2004 Marius FERARU <altblue@n0i.net> 0:0.20-0.n0i.2
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001

* Sat Jul 5 2003 Marius FERARU <altblue@n0i.net> 0.20-0.n0i
- version 0.20
- Initial build.
